#include "lang/variable_context.hpp"
#include "lang/scope.hpp"
#include "lang/var_decl.hpp"

namespace leaf
{

variable_context::var_vector_t managed_variable_context::get_local_decls() const {
	return managed;
}

variable_context::var_vector_t managed_variable_context::get_vars( std::string const & name ) const {	
	var_vector_t names;
	for( auto sref : managed ) {
		if( sref.decl->symbol == name )
			names.push_back(sref);
	}
	return names;
}

} //eon leaf