#ifndef LEAF_ASSIGN_STATEMENT_HPP
#define LEAF_ASSIGN_STATEMENT_HPP

#include "statement.hpp"

namespace leaf
{

struct expression;

struct assign_statement : public statement
{
	virtual statement_form_t statement_form() const
	{ return sf_assign_statement; }

	//statement initializes refered value of reference
	enum how_t {
		h_value,
		h_init_refer,
		h_default,
	} how;
	
	shared_ptr<expression> left, right;
	
	assign_statement()
	{ }
};

} //eon leaf
#endif