#ifndef LEAF_LANGUAGE_HPP
#define LEAF_LANGUAGE_HPP

/* Includes all language constructs as files that work with them tend to need all of them. */

#include "assign_statement.hpp"
#include "defer_statement.hpp"
#include "do_statement.hpp"
#include "fail_statement.hpp"
#include "for_statement.hpp"
#include "init_statement.hpp"
#include "import_statement.hpp"
#include "loop_flow_statement.hpp"
#include "multi_statement.hpp"
#include "noop_statement.hpp"
#include "return_statement.hpp"
#include "type_statement.hpp"
#include "var_statement.hpp"

#include "expression.hpp"
#include "scope.hpp"
#include "scope_ref.hpp"
#include "statement_block.hpp"
#include "var_decl.hpp"
#include "intr_type.hpp"
#include "variable_context.hpp"

#endif