/**
	A program used to help produce the platform specific details of a host platform. Compile and
	run on that platform with a native C++ platform.
*/
#include <iostream>
#include <cstddef>

using namespace std;

//C++11 support is likely lacking
union max_align {
	long double dummy_float;
	long long int dummy_int;
	void * dummy_ptr;
};

int main()
{
	#define SIZEOF(name, t) cout << #name ": " << sizeof(t) << endl;
	SIZEOF(size_variant_size, size_t)
	SIZEOF(max_align, max_align) //max_align_t
	SIZEOF(abi_short, short int)
	SIZEOF(abi_int, int)
	SIZEOF(abi_long, long int)
	SIZEOF(abi_long_long, long long int)
	SIZEOF(abi_float, float)
	SIZEOF(abi_double, double)
	SIZEOF(abi_long_double, long double) //WARNING: for 80bit long double still indicates 128bit (sizeof==16)
	SIZEOF(abi_char, char)
	SIZEOF(abi_ptr, void*)
}
