#include <stdio.h>
#include <stdlib.h>

extern "C" void trace_integer( int a ) {
	printf( "%d", a );
}

extern "C" void _uncaught_exception( void * ) {
	printf( "Uncaught exception\n" );
	abort();
}

extern "C" void * count_malloc( size_t sz ) {
	return malloc(sz);
}

extern "C" void count_free( void * ptr ) {
	free(ptr);
}

extern "C" void _duplicate_release_shared() {
	printf( "Duplicate release shared\n" );
	abort();
}
