#include "lang/init_statement.hpp"
#include "lang/expression.hpp"

namespace leaf
{

void init_statement::validate() const
{
	sref.validate();
	if( value ) {
		STATE_CHECK( !undefined );
		value->validate();
	}
	if( code ) {
		STATE_CHECK( !value );
		STATE_CHECK( undefined );
		code->validate();
	}
}

} //eon leaf