#include <boost/regex.hpp>

#define SYMBOL_REGEX_CHAR "[a-zA-Z0-9_]"
#define SYMBOL_REGEX_START_CHAR "[a-zA-Z]"
#define SYMBOL_REGEX SYMBOL_REGEX_START_CHAR SYMBOL_REGEX_CHAR "*"

#define TYPE_SYMBOL_REGEX_CHAR "[a-zA-Z0-9_.]"
#define TYPE_SYMBOL_REGEX_START_CHAR "[a-zA-Z]"
#define TYPE_SYMBOL_REGEX TYPE_SYMBOL_REGEX_START_CHAR TYPE_SYMBOL_REGEX_CHAR "*"

#define EXCLUDE_SYMBOL_REGEX_CHAR "(?!" SYMBOL_REGEX_CHAR ")"

#define OP_REGEX "[:=><\\+\\/\\-\\*\\^\\.\\?@!#%\\|$]+"

namespace leaf_parse
{
	const boost::regex re_operator( "(" OP_REGEX ")|([\\[\\]\\(\\)\\{\\}])" );
}